Subject: Re: bug#44578: AW: bug#44578: Investigating current preview problem

From: Tassilo Horn <[email-masked]>
Date: Fri, 07 Jan 2022 10:20:06 +0100

"Bruckmann, Tobias" <[email-masked]> writes:

Hi Tobias,

> The minimum example I use is
>
> \documentclass[12pt,a4paper]{article}
> \usepackage[margin=2cm,a4paper]{geometry}
> \usepackage{hyperref}
> \title{psfrag in pdflatex }
> \usepackage{graphicx}
> \usepackage{pstool}
> \usepackage{bookmark}
> \begin{document}
> Test
> \begin{figure}[h!]
> \centering
>  \psfragfig[mode=errorstop,width=0.9\textwidth]{use_any_eps_file_here}
> \caption{The EPS image with psfragfig}
> \end{figure}
> \end{document}
>
> Note, I read frequently that TeXLive compiles very well.

You are right.  With a test-example EPS which comes with TeXLive, it
again compiles well for me:

   \psfragfig[mode=errorstop,width=0.9\textwidth]{/usr/share/texmf-dist/tex/latex/mwe/example-image}

Again, in the log output I don't see preview being loaded, so I added a
\usepackage{preview} again.  With that, it still compiles well, both
with the TeXLive version of preview.sty and with the current AUCTeX
version.

However, in the log I also see these warnings:

--8<---------------cut here---------------start------------->8---
Package ifplatform Warning: 
    shell escape is disabled, so I can only detect \ifwindows.
...
Package pstool Warning: 
  Package option [process=none] activated
  because -shell-escape is not enabled.
This warning occurred on input line 163.
--8<---------------cut here---------------end--------------->8---

But when I add

  %%% TeX-command-extra-options: "--shell-escape"

I get this error:

--8<---------------cut here---------------start------------->8---
=== pstool: begin processing ===

pdflatex: Not writing to /usr/share/texmf-dist/tex/latex/mwe/example-image-pstool.tex (openout_any = p).

./minprevbug2.tex:14: I can't write on file `/usr/share/texmf-dist/tex/latex/mwe/example-image-pstool.tex'.
<to be read again> 
                   \relax 
l.14 \caption
             {The EPS image with psfragfig}
(Press Enter to retry, or Control-D to exit; default file extension is `.tex')
Please type another output file name
./minprevbug2.tex:14: Emergency stop.
<to be read again> 
                   \relax 
l.14 \caption
             {The EPS image with psfragfig}
./minprevbug2.tex:14:  ==> Fatal error occurred, no output PDF file produced!
Transcript written on minprevbug2.log.

TeX Output exited abnormally with code 1 at Fri Jan  7 10:36:01
--8<---------------cut here---------------end--------------->8---

I have no clue about pstools, so I copied the image next to the tex file
so that it can write the eps-image-name.tex file.  Then it complained
about missing tikzpicture, so I eventually added

  \usepackage{tikz}
  \usetikzlibrary{calc}

and the compile worked again.  Again, the log suggestes that preview.sty
is not loaded, so again I added \usepackage{preview} and tried with both
the TeXLive and AUCTeX versions.  As you can guess, both worked just
fine.

> I use MikTex, latest updates applied. Maybe Hugo also uses MikTex?  Is
> it possible that one of those distributions uses legacy packages?

I have no clue and no possibility to try MikTex but it seems to be
depending on distro.

Bye,
Tassilo